﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

            this.ultraGrid1.DisplayLayout.Bands[0].RowLayoutStyle = RowLayoutStyle.GroupLayout;

            DataTable dt = new DataTable();
            dt.Columns.Add("Title");
            dt.Columns.Add("No");
            dt.Columns.Add("TitleName");
            dt.Columns.Add("Date");
            dt.Columns.Add("morning");
            dt.Columns.Add("noon");
            dt.Columns.Add("night");

            DataRow dr = dt.NewRow();
            dr["Title"] = "1";
            dr["No"] = "1";
            dr["TitleName"] = "Title１";
            dr["Date"] = "4";
            dr["morning"] = "aa";
            dr["noon"] = "bb";
            dr["night"] = "cc";

            dt.Rows.Add(dr);

            dr = dt.NewRow();
            dr["Title"] = "1";
            dr["No"] = "2";
            dr["TitleName"] = "Title２";
            dr["Date"] = "4";
            dr["morning"] = "dd";
            dr["noon"] = "ff";
            dr["night"] = "gg";

            dt.Rows.Add(dr);

            ultraGrid1.DataSource = dt;
            ColumnsCollection columns = this.ultraGrid1.DisplayLayout.Bands[0].Columns;

            columns["Title"].Header.VisiblePosition = 0;
            columns["Title"].RowLayoutColumnInfo.LabelPosition = Infragistics.Win.UltraWinGrid.LabelPosition.LabelOnly;
            columns["Title"].Header.Appearance.TextHAlign = Infragistics.Win.HAlign.Center;
            columns["Title"].RowLayoutColumnInfo.OriginX = 0;
            columns["Title"].RowLayoutColumnInfo.OriginY = 0;
            columns["Title"].RowLayoutColumnInfo.SpanX = 4;
            columns["Title"].RowLayoutColumnInfo.SpanY = 2;
            columns["No"].Header.VisiblePosition = 1;
            columns["No"].RowLayoutColumnInfo.OriginX = 0;
            columns["No"].RowLayoutColumnInfo.OriginY = 2;
            columns["No"].RowLayoutColumnInfo.SpanX = 2;
            columns["No"].RowLayoutColumnInfo.SpanY = 2;
            columns["TitleName"].Header.VisiblePosition = 2;
            columns["TitleName"].RowLayoutColumnInfo.OriginX = 2;
            columns["TitleName"].RowLayoutColumnInfo.OriginY = 2;
            columns["TitleName"].RowLayoutColumnInfo.SpanX = 2;
            columns["TitleName"].RowLayoutColumnInfo.SpanY = 2;
            columns["Date"].Header.VisiblePosition = 3;
            columns["Date"].RowLayoutColumnInfo.LabelPosition = Infragistics.Win.UltraWinGrid.LabelPosition.LabelOnly;
            columns["Date"].Header.Appearance.TextHAlign = Infragistics.Win.HAlign.Center;
            columns["Date"].RowLayoutColumnInfo.OriginX = 4;
            columns["Date"].RowLayoutColumnInfo.OriginY = 0;
            columns["Date"].RowLayoutColumnInfo.SpanX = 6;
            columns["Date"].RowLayoutColumnInfo.SpanY = 2;
            columns["morning"].Header.VisiblePosition = 4;
            columns["morning"].RowLayoutColumnInfo.OriginX = 4;
            columns["morning"].RowLayoutColumnInfo.OriginY = 2;
            columns["morning"].RowLayoutColumnInfo.SpanX = 2;
            columns["morning"].RowLayoutColumnInfo.SpanY = 2;
            columns["noon"].Header.VisiblePosition = 5;
            columns["noon"].RowLayoutColumnInfo.OriginX = 6;
            columns["noon"].RowLayoutColumnInfo.OriginY = 2;
            columns["noon"].RowLayoutColumnInfo.SpanX = 2;
            columns["noon"].RowLayoutColumnInfo.SpanY = 2;
            columns["night"].Header.VisiblePosition = 6;
            columns["night"].RowLayoutColumnInfo.OriginX = 8;
            columns["night"].RowLayoutColumnInfo.OriginY = 2;
            columns["night"].RowLayoutColumnInfo.SpanX = 2;
            columns["night"].RowLayoutColumnInfo.SpanY = 2;

            // the column is not allowed moving
            ultraGrid1.DisplayLayout.Override.AllowColMoving = AllowColMoving.NotAllowed;

            // the column is not allowed swapping
            ultraGrid1.DisplayLayout.Override.AllowColSwapping = AllowColSwapping.NotAllowed;

            // cell select type
            ultraGrid1.DisplayLayout.Override.SelectTypeCell = SelectType.Single;

            // column select type
            ultraGrid1.DisplayLayout.Override.SelectTypeCol = SelectType.Extended;
        }

        private void rbtSchedule1_CheckedChanged(object sender, EventArgs e)
        {
            if (rbtSchedule1.Checked)
            {
                ultraGrid1.DisplayLayout.Bands[0].Columns["morning"].Hidden = false;
            }
            else {

                ultraGrid1.DisplayLayout.Bands[0].Columns["morning"].Hidden = true;
            }
        }

        private void rbtSchedule2_CheckedChanged(object sender, EventArgs e)
        {
            if (rbtSchedule2.Checked)
            {
                ultraGrid1.DisplayLayout.Bands[0].Columns["noon"].Hidden = false;
            }
            else
            {

                ultraGrid1.DisplayLayout.Bands[0].Columns["noon"].Hidden = true;
            }
        }

        private void rbtSchedule3_CheckedChanged(object sender, EventArgs e)
        {
            if (rbtSchedule3.Checked)
            {
                ultraGrid1.DisplayLayout.Bands[0].Columns["night"].Hidden = false;
            }
            else
            {

                ultraGrid1.DisplayLayout.Bands[0].Columns["night"].Hidden = true;
            }
        }

    }
}
